RSErasureDecoder (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.io.erasurecode.coder, class: RSErasureDecoder

Package org.apache.hadoop.io.erasurecode.coder

# Class RSErasureDecoder

java.lang.Object
org.apache.hadoop.conf.Configured
org.apache.hadoop.io.erasurecode.coder.ErasureDecoder
org.apache.hadoop.io.erasurecode.coder.RSErasureDecoder

All Implemented Interfaces:
  `Configurable`, `ErasureCoder`

@Private public class RSErasureDecoder extends ErasureDecoder
Reed-Solomon erasure decoder that decodes a block group. It implements `ErasureCoder`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RSErasureDecoder(ErasureCoderOptions options)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ErasureCodingStep`
  `prepareDecodingStep(ECBlockGroup blockGroup)`
  Perform decoding against a block blockGroup.
  `void`
  `release()`
  Release the resources if any.

  ### Methods inherited from class org.apache.hadoop.io.erasurecode.coder.ErasureDecoder

  `calculateCoding, getErasedIndexes, getInputBlocks, getNumDataUnits, getNumErasedBlocks, getNumErasedBlocks, getNumParityUnits, getOptions, getOutputBlocks, preferDirectBuffer`

  ### Methods inherited from class org.apache.hadoop.conf.Configured

  `getConf, setConf`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.conf.Configurable

  `getConf, setConf`

- ## Constructor Details

  - ### RSErasureDecoder

    public RSErasureDecoder(ErasureCoderOptions options)

- ## Method Details

  - ### prepareDecodingStep

    protected ErasureCodingStep prepareDecodingStep(ECBlockGroup blockGroup)
    Description copied from class: `ErasureDecoder`
    Perform decoding against a block blockGroup.
    Specified by:
      `prepareDecodingStep` in class `ErasureDecoder`
    Parameters:
      `blockGroup` - blockGroup.
    Returns:
      decoding step for caller to do the real work

  - ### release

    public void release()
    Description copied from interface: `ErasureCoder`
    Release the resources if any. Good chance to invoke RawErasureCoder#release.
    Specified by:
      `release` in interface `ErasureCoder`
    Overrides:
      `release` in class `ErasureDecoder`